{% extends "base.html" %}
{% load bootstrap4 %}
{% load static %}
{% block title %}
{{titulo}} un Viaje 
{% endblock title%} 
{% block css %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/css/tempusdominus-bootstrap-4.min.css"/> 
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
{% endblock css %} {% block content %}
<div class="row">
	<div class="col-lg-8 offset-lg-2 col-md-8 offset-md-2">
		<h1 class="text-center" style="margin-top:30px;">{{titulo}} Viaje</h1>
		<hr>
		<form id="formulario" action="" method="POST" enctype="multipart/form-data">
			{% csrf_token %}
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_bus">Bus</label>
				<div class="col-md-9">
					<select name="bus" title="" required="" id="id_bus" class="form-control select2">
						{% for bus in buses %}
						<option value='{{bus.pk}}'>{{bus}}</option>
						{% endfor %}
					</select>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_source">Desde</label>
				<div class="col-md-9">
					<input name="source" class="form-control" maxlength="300" required="" placeholder="Desde" title="" id="id_source" type="text">
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_destination">Hasta</label>
				<div class="col-md-9">
					<input name="destination" class="form-control" maxlength="300" required="" placeholder="Hasta" title="" id="id_destination"
					 type="text">
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_start_time">Hora de partida</label>
				<div class="col-md-9">
					<div class="input-group date" id="datetimepicker1" data-target-input="nearest">
						<input type="text" class="form-control datetimepicker-input" data-target="#datetimepicker1" required/>
						<div class="input-group-append" data-target="#datetimepicker1" data-toggle="datetimepicker">
							<div class="input-group-text"><i class="fa fa-calendar"></i></div>
						</div>
					</div>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_bus_driver">Conductor</label>
				<div class="col-md-9">
					<select name="bus_driver" title="" required id="id_bus_driver" class="form-control select2">
						{% for driver in conductores %}
						<option value="{{driver.pk}}">{{driver}}</option>
						{% endfor %}
					</select>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_assistant_1">Asistente de Viaje</label>
				<div class="col-md-9">
					<select name="assistant_1" title="" required id="id_assistant_1" class="form-control select2">
						{% for assistant in asistentes %}
						<option value="{{assistant.pk}}">{{assistant}}</option>
						{% endfor %}
					</select>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-md-3 col-form-label" for="id_assistant_2">Asistente de Viaje</label>
				<div class="col-md-9">
					<select name="assistant_2" title="" required id="id_assistant_2" class="form-control select2">
						{% for assistant in asistentes %}
						<option value="{{assistant.pk}}">{{assistant}}</option>
						{% endfor %}
					</select>
				</div>
			</div>
			<a value="Enviar" id="submit" class="btn btn-primary btn-lg btn-block" style="color:white">Enviar</a>
		</form>
		<br>
	</div>
</div>
{% endblock content %} {% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.0.0/js/tempusdominus-bootstrap-4.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/additional-methods.js"></script>
<script>
	$(document).ready(function () {
		$("#vi_list").addClass("active");
		$('#datetimepicker1').datetimepicker({
			format: 'DD/MM/YYYY - HH:mm',
		});
		$("#submit").click(function(){
			if ($("#formulario").valid()){
				var data = {
					buspk: $("#id_bus").val(),
					source: $("#id_source").val(),
					destination: $("#id_destination").val(),
					start_time: $("#id_start_time").val(),
					driverpk: $('#id_bus_driver').val(),
					csrfmiddlewaretoken: '{{ csrf_token }}'
				}
				$.ajax({
					url: '{% url "trip_add" %}',
					data: data,
					type: 'POST',
					success: function (result) {
					},
					error: function () {
						swal("Error!", "Contacte a su administrador.", "warning")
					}
				});
			} else {
				$("#formulario").validate();
			}
		})
		$(".select2").select2();
	});
</script> {% endblock javascript %}